# Get Session Files

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Session Files"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/upload_sessions/{session_id}/files"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Displays the file details of a session. Use this endpoint to check the status of the files in a session or the session expiration date.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The ID of the session.","in":"path","name":"session_id","required":true,"schema":{"description":"The ID of the session.","format":"uuid","title":"Session Id","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}},{"description":"Use this option to filter for files that are still being ingested or that were already ingested.","in":"query","name":"ingestion_status","required":false,"schema":{"anyOf":[{"enum":["PENDING","FAILED","FINISHED"],"title":"FileIngestionStatusEnum","type":"string"},{"type":"null"}],"description":"Use this option to filter for files that are still being ingested or that were already ingested.","title":"Filter for Ingestion Status"}},{"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","in":"query","name":"limit","required":false,"schema":{"default":10,"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","maximum":100,"title":"Limit","type":"integer"}},{"description":"Enter an ID if you want to see all entries before this ID. To use this option, clear the `page_number` parameter first.","in":"query","name":"before","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries before this ID. To use this option, clear the `page_number` parameter first.","title":"Before"}},{"description":"Enter an ID if you want to see all entries after this ID. To use this option, clear the `page_number` parameter first.","in":"query","name":"after","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries after this ID. To use this option, clear the `page_number` parameter first.","title":"After"}},{"description":"The number of the page you want to see.","in":"query","name":"page_number","required":false,"schema":{"anyOf":[{"minimum":1,"type":"integer"},{"type":"null"}],"description":"The number of the page you want to see.","title":"Page Number"}},{"description":"The name of the field you want to sort by.","in":"query","name":"field","required":false,"schema":{"default":"created_at","description":"The name of the field you want to sort by.","enum":["created_at","ingestion_status","ingestion_status_reason","name"],"title":"Field","type":"string"}},{"description":"Choose how you want to sort the results.","in":"query","name":"order","required":false,"schema":{"default":"DESC","description":"Choose how you want to sort the results.","enum":["ASC","DESC"],"title":"Order","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"items":{"properties":{"file_ingestion_id":{"description":"The ID of the ingested file.","format":"uuid","title":"Ingested File ID","type":"string"},"ingestion_status":{"description":"The ingestion status of the ingested file.","title":"Ingested File Ingestion Status","enum":["PENDING","FAILED","FINISHED"],"type":"string"},"ingestion_status_reason":{"anyOf":[{"enum":["EMPTY_FILE","FILE_NOT_FOUND","FAILED_TO_PARSE_META","FILE_ALREADY_EXISTS","INGESTING_FILE_FAILED","UNKNOWN_ERROR","FILE NAME TOO LONG. MAX LENGTH IS 800","SLOWDOWN"],"title":"FileIngestionStatusReasonEnum","type":"string"},{"type":"null"}],"description":"The ingestion status message that explains the ingestion status. This is only available for files that failed to ingest.","title":"Explanation of the Ingestion Status"},"name":{"description":"The name of the ingested file.","title":"Ingested File Name","type":"string"}},"required":["name","ingestion_status"],"title":"SessionFile","type":"object"},"title":"Data","type":"array"},"has_more":{"description":"Indicates if there are more results to show.","title":"Has more results","type":"boolean"},"total":{"description":"The total number of results matching your query.","title":"Total number of results","type":"integer"}},"required":["data","has_more","total"],"title":"PaginatedResult[SessionFile]","type":"object"}}},"description":"Returns a list of files registered to the session."},"404":{"description":"There's no session with the ID '{session_id}' in the workspace. Check if the ID is correct. "},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
